libdevice User's Guide (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 3.127. __nv_float2ll_ru

Prototype:

    i64 @__nv_float2ll_ru(float %f)

Description:

Convert the single-precision floating point value `x` to a signed 64-bit integer in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes